com.google.gwt.user.client.ui

## Class MouseWheelListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<MouseWheelListener>
      - - com.google.gwt.user.client.ui.MouseWheelListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<MouseWheelListener>, java.util.Collection<MouseWheelListener>, java.util.List<MouseWheelListener>, java.util.RandomAccess

Deprecated.
Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

    @Deprecated
    public class MouseWheelListenerCollection
    extends java.util.ArrayList<MouseWheelListener>

A helper class for implementers of the SourcesMouseWheelEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `MouseWheelListener`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`MouseWheelListenerCollection()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `fireMouseWheel(Widget sender, MouseWheelVelocity velocity)` Deprecated. Fires a mouse wheel event to all listeners.
`void` `fireMouseWheelEvent(Widget sender, Event event)` Deprecated. A helper for widgets that source mouse events.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### MouseWheelListenerCollection

    public MouseWheelListenerCollection()

Deprecated.

### Method Detail

#### fireMouseWheel

    public void fireMouseWheel(Widget sender,
                               MouseWheelVelocity velocity)

Deprecated.
Fires a mouse wheel event to all listeners.

Parameters:
  `sender` - the widget sending the event
  `velocity` - the velocity information for the event

#### fireMouseWheelEvent

    public void fireMouseWheelEvent(Widget sender,
                                    Event event)

Deprecated.
A helper for widgets that source mouse events.

Parameters:
  `sender` - the widget sending the event
  `event` - the `Event` received by the widget